<script>

  import { createEventDispatcher, setContext } from 'svelte';

  export let label            = 'Menu';
  export const resetCallbacks = [];

  setContext('main', {
    registerReset  : cb => resetCallbacks.push(cb),
    unregisterReset: cb => resetCallbacks.splice(resetCallbacks.indexOf(cb), 1),
    reset          : () => resetCallbacks.forEach(cb => cb()),
  });

</script>

<style>

  .menu {
    font-size: 1.1em;
  }

	.label {
		color           : #fff;
    text-align      : center;
    padding         : 10px;
    user-select     : none;
    background-color: rgb(73, 45, 45);
    min-width       : 191px;
  }
  
</style>

<svelte:options immutable={true}/>
<div class="menu">
  
  <div class="label" on:click={e => resetCallbacks.forEach(cb => cb())}>
    {label}
  </div>
  
  <div class="items">
    <slot></slot>
  </div>

</div>
